Permalink
Browse files

Removed Jeweler for building gem specifications. This will be done ma…

…nually by editting the gemspec file rather than the (now removed) Rakefile.
  • Loading branch information...
1 parent 60cedf2 commit e280f66f753eed66597ee024ea8766c20b4e2352 Michael van Rooijen committed Jul 10, 2010
Showing with 43 additions and 187 deletions.
  1. +0 −65 Rakefile
  2. +43 −122 backup.gemspec
View
@@ -1,65 +0,0 @@
-require 'rubygems'
-require 'rake'
-
-begin
- require 'jeweler'
- Jeweler::Tasks.new do |gem|
- gem.name = "backup"
- gem.summary = %Q{Backup is a Ruby Gem that simplifies making backups for databases, files and folders.}
- gem.description = %Q{
- Backup is a Ruby Gem written for Unix and Rails environments. It can be used both with and without the
- Ruby on Rails framework! This gem offers a quick and simple solution to backing up databases such as
- MySQL/PostgreSQL and Files/Folders. All backups can be transferred to Amazon S3 or any remote server you
- have access to, using either SCP, SFTP or regular FTP. Backup handles Compression, Archiving, Encryption,
- Backup Cleaning (Cycling) and supports Email Notifications.
- }
-
- gem.email = "meskyanichi@gmail.com"
- gem.homepage = "http://final-creation.com/open-source"
- gem.authors = ["Michael van Rooijen", "Fernando Migliorini Luizão"]
- gem.add_dependency "activerecord", ">= 2.3.5"
- gem.add_dependency "sqlite3-ruby", ">= 1.2.5"
- gem.add_dependency "hirb", ">= 0.2.9"
- gem.add_dependency "pony", ">= 0.5"
-
- end
-rescue LoadError
- puts "Jeweler (or a dependency) not available. Install it with: sudo gem install jeweler"
-end
-
-require 'spec/rake/spectask'
-Spec::Rake::SpecTask.new do |t|
- t.spec_files = FileList['spec/**/*_spec.rb']
- t.spec_opts = %w(-fp --color)
-end
-
-begin
- require 'rcov/rcovtask'
- Rcov::RcovTask.new do |test|
- test.libs << 'test'
- test.pattern = 'test/**/*_test.rb'
- test.verbose = true
- end
-rescue LoadError
- task :rcov do
- abort "RCov is not available. In order to run rcov, you must: sudo gem install spicycode-rcov"
- end
-end
-
-task :test => :check_dependencies
-
-task :default => :spec
-
-require 'rake/rdoctask'
-Rake::RDocTask.new do |rdoc|
- if File.exist?('VERSION')
- version = File.read('VERSION')
- else
- version = ""
- end
-
- rdoc.rdoc_dir = 'rdoc'
- rdoc.title = "backup #{version}"
- rdoc.rdoc_files.include('README*')
- rdoc.rdoc_files.include('lib/**/*.rb')
-end
View
@@ -1,123 +1,44 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
-# -*- encoding: utf-8 -*-
-
-Gem::Specification.new do |s|
- s.name = %q{backup}
- s.version = "2.3.1"
-
- s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["Michael van Rooijen"]
- s.date = %q{2010-01-08}
- s.default_executable = %q{backup}
- s.description = %q{
- Backup is a Ruby Gem written for Unix and Rails environments. It can be used both with and without the
- Ruby on Rails framework! This gem offers a quick and simple solution to backing up databases such as
- MySQL/PostgreSQL and Files/Folders. All backups can be transferred to Amazon S3 or any remote server you
- have access to, using either SCP, SFTP or regular FTP. Backup handles Compression, Archiving, Encryption
- and Backup Cleaning (Cycling).
- }
- s.email = %q{meskyan@gmail.com}
- s.executables = ["backup"]
- s.extra_rdoc_files = [
- "LICENSE",
- "README.textile"
- ]
- s.files = [
- ".document",
- ".gitignore",
- "CHANGELOG",
- "LICENSE",
- "README.textile",
- "Rakefile",
- "VERSION",
- "backup.gemspec",
- "bin/backup",
- "generators/backup/backup_generator.rb",
- "generators/backup/templates/config/backup.rb",
- "generators/backup/templates/migrations/create_backup_tables.rb",
- "generators/backup/templates/tasks/backup.rake",
- "generators/backup_update/backup_update_generator.rb",
- "generators/backup_update/templates/migrations/update_backup_tables.rb",
- "lib/backup.rb",
- "lib/backup/adapters/archive.rb",
- "lib/backup/adapters/base.rb",
- "lib/backup/adapters/custom.rb",
- "lib/backup/adapters/mysql.rb",
- "lib/backup/adapters/postgresql.rb",
- "lib/backup/adapters/sqlite.rb",
- "lib/backup/command_helper.rb",
- "lib/backup/configuration/adapter.rb",
- "lib/backup/configuration/adapter_options.rb",
- "lib/backup/configuration/attributes.rb",
- "lib/backup/configuration/base.rb",
- "lib/backup/configuration/helpers.rb",
- "lib/backup/configuration/mail.rb",
- "lib/backup/configuration/smtp.rb",
- "lib/backup/configuration/storage.rb",
- "lib/backup/connection/s3.rb",
- "lib/backup/environment/base.rb",
- "lib/backup/environment/rails.rb",
- "lib/backup/environment/unix.rb",
- "lib/backup/mail/base.rb",
- "lib/backup/mail/mail.txt",
- "lib/backup/record/base.rb",
- "lib/backup/record/ftp.rb",
- "lib/backup/record/local.rb",
- "lib/backup/record/s3.rb",
- "lib/backup/record/scp.rb",
- "lib/backup/record/sftp.rb",
- "lib/backup/storage/ftp.rb",
- "lib/backup/storage/local.rb",
- "lib/backup/storage/s3.rb",
- "lib/backup/storage/scp.rb",
- "lib/backup/storage/sftp.rb",
- "setup/backup.rb",
- "setup/backup.sqlite3",
- "spec/configuration/attributes_spec.rb"
- ]
- s.homepage = %q{http://final-creation.com/open-source}
- s.rdoc_options = ["--charset=UTF-8"]
- s.require_paths = ["lib"]
- s.rubygems_version = %q{1.3.5}
- s.summary = %q{Backup is a Ruby Gem that simplifies making backups for databases, files and folders.}
- s.test_files = [
- "spec/configuration/attributes_spec.rb"
- ]
-
- if s.respond_to? :specification_version then
- current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
- s.specification_version = 3
-
- if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<aws-s3>, [">= 0.6.2"])
- s.add_runtime_dependency(%q<net-ssh>, [">= 2.0.15"])
- s.add_runtime_dependency(%q<net-scp>, [">= 1.0.2"])
- s.add_runtime_dependency(%q<net-sftp>, [">= 2.0.4"])
- s.add_runtime_dependency(%q<activerecord>, [">= 2.3.5"])
- s.add_runtime_dependency(%q<sqlite3-ruby>, [">= 1.2.5"])
- s.add_runtime_dependency(%q<hirb>, [">= 0.2.9"])
- s.add_runtime_dependency(%q<pony>, [">= 0.5"])
- else
- s.add_dependency(%q<aws-s3>, [">= 0.6.2"])
- s.add_dependency(%q<net-ssh>, [">= 2.0.15"])
- s.add_dependency(%q<net-scp>, [">= 1.0.2"])
- s.add_dependency(%q<net-sftp>, [">= 2.0.4"])
- s.add_dependency(%q<activerecord>, [">= 2.3.5"])
- s.add_dependency(%q<sqlite3-ruby>, ["= 1.2.5"])
- s.add_dependency(%q<hirb>, [">= 0.2.9"])
- s.add_dependency(%q<pony>, [">= 0.5"])
- end
- else
- s.add_dependency(%q<aws-s3>, [">= 0.6.2"])
- s.add_dependency(%q<net-ssh>, [">= 2.0.15"])
- s.add_dependency(%q<net-scp>, [">= 1.0.2"])
- s.add_dependency(%q<net-sftp>, [">= 2.0.4"])
- s.add_dependency(%q<activerecord>, [">= 2.3.5"])
- s.add_dependency(%q<sqlite3-ruby>, [">= 1.2.5"])
- s.add_dependency(%q<hirb>, [">= 0.2.9"])
- s.add_dependency(%q<pony>, [">= 0.5"])
- end
-end
+Gem::Specification.new do |gem|
+
+ ##
+ # Gem Specifications
+ gem.name = 'backup'
+ gem.version = '2.3.2.pre'
+ gem.date = Date.today.to_s
+ gem.summary = 'Backup is a Ruby Gem that simplifies making backups for databases, files and folders.'
+ gem.description = 'Backup is a Ruby Gem written for Unix and Rails environments. It can be used both with and without the
+ Ruby on Rails framework! This gem offers a quick and simple solution to backing up databases such as
+ MySQL/PostgreSQL and Files/Folders. All backups can be transferred to Amazon S3 or any remote server you
+ have access to, using either SCP, SFTP or regular FTP. Backup handles Compression, Archiving, Encryption
+ and Backup Cleaning (Cycling).'
+
+ ##
+ # Author specifications
+ gem.authors = ['Michael van Rooijen']
+ gem.email = 'meskyanichi@gmail.com'
+ gem.homepage = 'http://github.com/meskyanichi/backup'
+
+ ##
+ # Files to be compiled
+ gem.files = ['README.textile', 'CHANGELOG', 'LICENSE', 'VERSION'] +
+ Dir['lib/**/*'] + Dir['bin/*'] + Dir['generators/**/*'] + Dir['setup/*']
+
+ ##
+ # Load Path
+ gem.require_path = 'lib'
+ ##
+ # Executables
+ gem.executables = ['backup']
+
+ ##
+ # Dependencies
+ gem.add_dependency('aws-s3', [">= 0.6.2"])
+ gem.add_dependency('net-ssh', [">= 2.0.15"])
+ gem.add_dependency('net-scp', [">= 1.0.2"])
+ gem.add_dependency('net-sftp', [">= 2.0.4"])
+ gem.add_dependency('activerecord', [">= 2.3.5"])
+ gem.add_dependency('sqlite3-ruby', ["= 1.2.5"])
+ gem.add_dependency('hirb', [">= 0.2.9"])
+ gem.add_dependency('pony', [">= 0.5"])
+end

0 comments on commit e280f66

Please sign in to comment.